BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.HR.ProfileDutyHistory Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.HR.ProfileDutyHistory:

## Properties
DateTime? | DateStart`[get, set]`
DateTime? | DateEnd`[get, set]`
string? | Detail`[get, set]`
string? | Reference`[get, set]`
virtual ? ProfileDuty | ProfileDuty`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ DateEnd

DateTime? BMA.EHR.Domain.Models.HR.ProfileDutyHistory.DateEnd
| get set

## ◆ DateStart

DateTime? BMA.EHR.Domain.Models.HR.ProfileDutyHistory.DateStart
| get set

## ◆ Detail

string? BMA.EHR.Domain.Models.HR.ProfileDutyHistory.Detail
| get set

## ◆ ProfileDuty

virtual ? ProfileDuty BMA.EHR.Domain.Models.HR.ProfileDutyHistory.ProfileDuty
| get set

## ◆ Reference

string? BMA.EHR.Domain.Models.HR.ProfileDutyHistory.Reference
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/HR/ProfileDutyHistory.cs